Vue 打包 IE报vuex requires a Promise polyfill in this browser问题解决

1、安装 babel-polyfill 。 babel-polyfill可以模拟ES6使用的环境,可以使用ES6的所有新方法
npm i babel-polyfill --save

2、修改build/webpack.base.conf.js中的
module.exports = {
entry: {
app: "./src/main.js"
}
}

中的app: "./src/main.js"

修改成
app: ["babel-polyfill", "./src/main.js"]

重新打包就OK了

原文

评论 ( 0 )
最新评论
暂无评论

赶紧努力消灭 0 回复